
QGIS Application - Bug report #11896

Messy label backgrounds

2014-12-18 11:58 PM - Paolo Cavallini

Status: Open

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20108

Description

When using curved labels with a background, a separate background (e.g. a rectangle, svg) is drawn for each character, with rather ugly

results. For better results the "size type" of the background must be set to "fixed" (and then give it the proper size), but this does not solve

the issue.

History

#1 - 2015-01-22 10:23 AM - Larry Shaffer

- Assignee set to Larry Shaffer

Hi Paolo,

Can you add some screen shots as to what is 'ugly' and what is desired?

#2 - 2015-01-22 10:51 AM - Paolo Cavallini

- File bad.png added

One example here. I think a more uniform shape would be more reasonable.

Thanks.

#3 - 2015-05-10 01:02 AM - Giovanni Manghi

- Target version changed from Version 2.8 to Version 2.8.2

#4 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#5 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#6 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2018-02-25 05:01 PM - Paolo Cavallini

- Affected QGIS version changed from 2.6.0 to 3.0.0
Still true in QGIS3.

#8 - 2018-02-25 05:02 PM - Giovanni Manghi

- Assignee deleted (Larry Shaffer)

Files

bad.png 21.1 KB 2015-01-22 Paolo Cavallini
